<!DOCTYPE html>
<html>
<head>
<style>
.modal-header {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}
</style>
</head>

<body>
    
<div class="modal fade in" tabindex="-1" role="dialog" id="new">
 
 <div class="modal-dialog">
        <div class="modal-header">
            
          <div class="container-fluid">
            <div class="row">
              <div class="col-md-12"><h2 class="modal-title">Upload score (MSCX file)</h2></div>
            </div>
          </div>
          
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>

        </div>

        <%= form_for Score.new, html: { multipart: true } do |f| %>
            
            <div class="container">
                <div class="modal-body">
                
                    <div>
                        <%= f.label :name %></br>
                        <%= f.text_field :name %>
                    </div>
                    <div>
                        </br><%= f.label :attachment %></br>
                        <%= f.file_field :attachment %>
                    </div>
                    <div>
                        </br><%= f.label :uploaded_by %></br>
                        <% if user_signed_in? %>
                            <%= f.text_field :uploaded_by, value: current_user.first_name %>
                        <% else %>
                            <%= f.text_field :uploaded_by, value: "Guest"%>
                        <% end %>
                    </div>
                    <div>
                        </br><%= f.label :share %>
                        <%= f.check_box :share, {}, true, false %>
                    </div>
                    <div>
                        </br><%= f.submit "Upload" %>
                    </div>
                </div>
            </div>
        <% end %>
    </div>
</div>

</body>
</html>
